## com.baidubce.services.bos.model
Class GenericObjectRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest

Direct Known Subclasses:
  CopyObjectRequest, DeleteObjectRequest, GenericUploadRequest, GetObjectMetadataRequest, GetObjectRequest, InitiateMultipartUploadRequest, PutObjectRequest

    public abstract class GenericObjectRequest

extends GenericBucketRequest

Constructor Summary
`GenericObjectRequest()`
`GenericObjectRequest(String bucketName, String key)`

Method Summary
`String` `getKey()`
`void` `setKey(String key)`
`abstract GenericObjectRequest` `withKey(String key)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName, withBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericObjectRequest

    public GenericObjectRequest()

### GenericObjectRequest

    public GenericObjectRequest(String bucketName,
                                String key)

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public abstract GenericObjectRequest withKey(String key)

Copyright © 2016. All rights reserved.